/*
 * Copyright (C) by Klaas Freitag <freitag@owncloud.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 */

#ifndef VERSION_H
#define VERSION_H

#include <QString>
// TODO: use namespace and functions
#define GIT_SHA1 "42fb299cadd56dc5b7f99bb6946f5bed8a53a2eb"

/* MIRALL version */
#define MIRALL_VERSION_MAJOR 2
#define MIRALL_VERSION_MINOR 9
#define MIRALL_VERSION_PATCH 1
#define MIRALL_VERSION_BUILD 5501

inline auto MIRALL_VERSION_SUFFIX() {
    return QStringLiteral("");
}

inline auto MIRALL_VERSION_FULL() {
    return QStringLiteral("2.9.1.5501");
}

#define MIRALL_VERSION_STRING "2.9.1 (build 5501)"

#endif // VERSION_H
